FFI::Build::File::Library(3pm)

NAME
FFI::Build::File::Library - Class to track object file in FFI::Build

VERSION
version 2.10

SYNOPSIS
 use FFI::Build;

 my $build = FFI::Build->new(source => 'src/*.c');
 # $lib is an instance of FFI::Build::File::Library
 my $lib = $build->build;

DESCRIPTION
This is a class to track a library generated by FFI::Build. This is returned by FFI::Build's build method. This class is a subclass of FFI::Build::File::Base. The most important method is probably "path", which returns the path to the library which can be passed into FFI::Platypus for immediate use.

METHODS

  path
 my $path = $lib->path;

Returns the path of the library.

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Bakkiaraj Murugesan (bakkiaraj)

Dylan Cali (calid)

pipcet

Zaki Mughal (zmughal)

Fitz Elliott (felliott)

Vickenty Fesunov (vyf)

Gregor Herrmann (gregoa)

Shlomi Fish (shlomif)

Damyan Ivanov

Ilya Pavlov (Ilya33)

Petr Písař (ppisar)

Mohammad S Anwar (MANWAR)

Håkon Hægland (hakonhagland, HAKONH)

Meredith (merrilymeredith, MHOWARD)

Diab Jerius (DJERIUS)

Eric Brine (IKEGAMI)

szTheory

José Joaquín Atria (JJATRIA)

Pete Houston (openstrike, HOUSTON)

Lukas Mai (MAUKE)

COPYRIGHT AND LICENSE
This software is copyright (c) 2015-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.